<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/history/init.jsp" %>

<%
String defaultLanguageId = (String)request.getAttribute("liferay-friendly-url:history:defaultLanguageId");
boolean disabled = (boolean)request.getAttribute("liferay-friendly-url:history:disabled");
String elementId = (String)request.getAttribute("liferay-friendly-url:history:elementId");
String friendlyURLEntryURL = (String)request.getAttribute("liferay-friendly-url:history:friendlyURLEntryURL");
boolean localizable = (boolean)request.getAttribute("liferay-friendly-url:history:localizable");
%>

<liferay-util:html-top
	outputKey="com.liferay.friendly.url.taglib.servlet.taglib.HistoryTag#/page.jsp"
>
	<link href="<%= PortalUtil.getStaticResourceURL(request, PortalUtil.getPathProxy() + application.getContextPath() + "/css/main.css") %>" rel="stylesheet" type="text/css" />
</liferay-util:html-top>

<div class="btn-url-history-wrapper">
	<react:component
		module="js/FriendlyURLHistory"
		props='<%=
			HashMapBuilder.<String, Object>put(
				"defaultLanguageId", defaultLanguageId
			).put(
				"disabled", disabled
			).put(
				"elementId", elementId
			).put(
				"friendlyURLEntryURL", friendlyURLEntryURL
			).put(
				"localizable", localizable
			).build()
		%>'
	/>
</div>